Package org.apache.felix.scr.component

# Interface ExtFactoryComponentInstance<S>

All Superinterfaces:
  `org.osgi.service.component.ComponentInstance<S>`

public interface ExtFactoryComponentInstance<S> extends org.osgi.service.component.ComponentInstance<S>

## Method Summary

Modifier and Type
Method
Description
`void`
`modify(Dictionary<String,?> properties)`

### Methods inherited from interface org.osgi.service.component.ComponentInstance

`dispose, getInstance`

## Method Details

### modify

void modify(Dictionary<String,?> properties)